<?php

namespace Litecms\BusCategory;

use User;

class BusCategory
{
    /**
     * $bus_categories object.
     */
    protected $bus_categories;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\BusCategory\Interfaces\BusCategoriesRepositoryInterface $bus_categories)
    {
        $this->bus_categories = $bus_categories;
    }

    /**
     * Returns count of bus_category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bus_categories.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bus_categories->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\BusCategoriesUserCriteria());
        }

        $bus_categories = $this->bus_categories->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bus_category::' . $view, compact('bus_categories'))->render();
    }
}
