<?php

namespace Litecms\BusCategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BusCategoriesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\BusCategory\Models\BusCategories $bus_categories)
    {
        return [
            'id'                => $bus_categories->getRouteKey(),
            'key'               => [
                'public'    => $bus_categories->getPublicKey(),
                'route'     => $bus_categories->getRouteKey(),
            ], 
            'name'              => $bus_categories->name,
            'status'            => $bus_categories->status,
            'url'               => [
                'public'    => trans_url('bus_category/'.$bus_categories->getPublicKey()),
                'user'      => guard_url('bus_category/bus_categories/'.$bus_categories->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bus_categories->status),
            'created_at'        => format_date($bus_categories->created_at),
            'updated_at'        => format_date($bus_categories->updated_at),
        ];
    }
}